/******************************************************************************
*	Schnittstelle der Engine nach auen:
*	Bindet alle notwendigen Header ein, um die Engine verwenden zu knnen.
******************************************************************************/

#ifndef ENGINEINCLUDES_H
#define ENGINEINCLUDES_H

#include "PCH.h"
#include "Engine.h"
#include "Video.h"
#include "Audio.h"
#include "Texture.h"
#include "TextureManager.h"
#include "Font.h"
#include "Sound.h"
#include "SoundInstance.h"
#include "SoundGroup.h"
#include "SoundManager.h"
#include "Listener.h"
#include "ConsoleLogHandler.h"
#include "ParticleSystem.h"
#include "SimpleEmitter.h"
#include "GameState.h"
#include "Utils.h"
#include "MTRand.h"
#include "Placeable.h"
#include "Input.h"
#include "Serializer.h"
#include "XMLSerializationStream.h"
#include "BasicObjectSerializer.h"
#include "MethodObjectSerializer.h"
#include "Profiler.h"

#endif