#ifndef LISTENER_H
#define LISTENER_H

#include "Placeable.h"

class ENGINE_API Listener : public Base, public Placeable
{
	friend class Audio;

public:
	void setZ( float z );
	float getZ() const;

private:
	Listener( Audio& audio );
	~Listener();

	void update();

	Audio& audio;
	float z;
	Vec2f lastPosition;
};

#endif