#ifndef TEXTUREMANAGER_H
#define TEXTUREMANAGER_H

#include "BasicResourceManager.h"
#include "Texture.h"

class ENGINE_API TextureManager : public BasicResourceManager<Texture>
{
	friend class Engine;
	friend class Texture;

public:
	// erzeugt eine leere Textur
	TextureHandle createTexture( const Vec2i& size, int glFormat );

private:
	TextureManager( Engine& engine, const std::string& componentName );
	~TextureManager();
};

#endif