#ifndef DAMAGABLE_H
#define DAMAGABLE_H

class Damagable
{
public:
	Damagable();
	virtual ~Damagable();

	void setHealth( float health );
	void addHealth( float value );
	void setMaxHealth( float maxHealth );
	float getHealth() const;
	float getMaxHealth() const;
	void setInvincible( bool invincible )	{ this->invincible = invincible; }
	bool isInvincible() const				{ return invincible; }

private:
	float health;
	float maxHealth;
	bool invincible;
};

#endif