#ifndef OBJ_ENEMY_ERASER_H
#define OBJ_ENEMY_ERASER_H

#include "Obj_Enemy.h"

class Obj_Enemy_Eraser : public Obj_Enemy
{
public:
	Obj_Enemy_Eraser( Level& level, const TiXmlElement* p_root );
	~Obj_Enemy_Eraser();

	std::string getType() const { return "Enemy_Eraser"; }

	void update();
	void think();
	void onKill();
	void onRebirth();
	void addAvoidanceAreas();

private:
	SoundInstance* p_engineSoundInst;
};

#endif