#ifndef OBJ_LEVELTARGET_H
#define OBJ_LEVELTARGET_H

#include "GameObject.h"
#include "Damagable.h"

class Obj_LevelTarget : public GameObject, public Damagable
{
public:
	Obj_LevelTarget( Level& level, const TiXmlElement* p_root );
	~Obj_LevelTarget();

	std::string getType() const { return "LevelTarget"; }

	void update();
	void render( RenderPass pass );
	void onCollision( GameObject* p_other, CollisionInfo& info );

	void destroy();

private:
	SoundInstance* p_soundInst;
	SoundInstance* p_soundInstExplosion;
	float flash;
};

#endif