#ifndef OBJ_MINE_H
#define OBJ_MINE_H

#include "GameObject.h"

class Obj_Mine : public GameObject
{
public:
	Obj_Mine( Level& level, const TiXmlElement* p_root );
	~Obj_Mine();

	std::string getType() const { return "Mine"; }

	void update();
	void render( RenderPass pass );
	void onCollision( GameObject* p_other, CollisionInfo& info );
	void addAvoidanceAreas();
	void detonate();

	bool isActivated() const { return activated; }
	void setActivated( bool v ) { activated = v; }

private:
	bool dynamic;
	bool activated;
	float t;
};

#endif