#ifndef OBJ_STATICIMAGE_H
#define OBJ_STATICIMAGE_H

#include "GameObject.h"

class Obj_StaticImage : public GameObject
{
public:
	Obj_StaticImage( Level& level, const TiXmlElement* p_root );
	~Obj_StaticImage();

	std::string getType() const { return "StaticImage"; }

	void render( RenderPass pass );

private:
	TextureHandle image;
	Vec2i texCoords;
	Vec2i sizeOnTexture;
	Vec2f size;
	bool drawShadows;
};

#endif