#ifndef OBJ_TESTTARGET_H
#define OBJ_TESTTARGET_H

#include "GameObject.h"
#include "Controllable.h"

class Obj_TestTarget : public GameObject, public Controllable
{
public:
	Obj_TestTarget( Level& level, const std::string& id );
	~Obj_TestTarget();

	std::string getType() const { return "TestTarget"; }

	void update();
	void render( RenderPass pass );
	void onCollision( GameObject* p_other, CollisionInfo& info );

	void reset();
	int getHitCount() const;

private:
	bool doReset;
	int hitCount;
};

#endif