#ifndef OPTIONS_H
#define OPTIONS_H

#include "GUI.h"

class Options
{
public:
	Options( Engine& engine, GUI& gui );
	~Options();

	void show();
	void apply();
	const ParameterMap& getOptions() const;

private:
	bool handleOptions( const CEGUI::EventArgs& e );
	void updateScreen();
	void updateOptions();
	void cancel();

	Engine& engine;
	GUI& gui;
	ParameterMap options;
	ParameterMap defaultOptions;
	ParameterMap originalOptions;
};

#endif