/******************************************************************************
*	Includes fr den vorkompilierten Header:
*	Header-Dateien, die sehr hufig gebraucht werden, kommen hier hinein.
*	Jede CPP-Datei des Spiels muss diese Datei einbinden.
******************************************************************************/

#include <iostream>
#include <fstream>

// OpenGL einbinden
#ifdef WIN32
#include <Windows.h>
#else
#error Bisher nicht auf andere Systeme angepasst! :(
#endif
#include <GL/GL.h>
#include <GL/GLU.h>

// Bibliotheken
#include <tinyxml.h>
#include <ode.h>

// Engine einbinden
#include "../../Engine/include/Interface.h"

// Spielumgebung
#include "GameEnvironment.h"