#include <PCH.h>
#include <GS_Intro.h>

GS_Intro::GS_Intro( GameEnvironment& env ) : GameState( env.engine, "Intro" ),
											 env( env )
{
}

GS_Intro::~GS_Intro()
{
}

void GS_Intro::onEnter( const ParameterMap& params )
{
	env.logger.fine( "GS_Intro::onEnter", LOGGER_AUTO );
}

void GS_Intro::onLeave()
{
	env.logger.fine( "GS_Intro::onLeave", LOGGER_AUTO );
}

void GS_Intro::onActivate()
{
	env.logger.fine( "GS_Intro::onActivate", LOGGER_AUTO );

	time = 0;
}

void GS_Intro::onDeactivate()
{
	env.logger.fine( "GS_Intro::onDeactivate", LOGGER_AUTO );
}

void GS_Intro::render()
{
}

void GS_Intro::update()
{
	time += engine.getTickDuration();
}
