#include <PCH.h>
#include <ScriptObject.h>

ScriptObject::ScriptObject( Level& level ) : level( level ),
											 env( level.getEnv() ),
											 video( level.getEnv().engine.getVideo() ),
											 dead( false )
{
	level.adoptScriptObject( this );
}

ScriptObject::~ScriptObject()
{
}

void ScriptObject::update()
{
}

void ScriptObject::render()
{
}

bool ScriptObject::isToBeDeleted() const
{
	return dead;
}

void ScriptObject::kill()
{
	dead = true;
}