/******************************************************************************
*	Includes fr den vorkompilierten Header:
*	Header-Dateien, die sehr hufig gebraucht werden, kommen hier hinein.
*	Jede CPP-Datei der Engine muss diese Datei einbinden.
******************************************************************************/

#ifndef PCH_H
#define PCH_H

// wichtige STL-Typen
#include <string>
#include <vector>
#include <list>
#include <queue>
#include <stack>
#include <set>
#include <map>

// Standard-Header
#include <typeinfo>
#include <cmath>
#include <cfloat>
#include <ctime>
#include <complex>
#include <iostream>
#include <sstream>

// Assertions
#include <cassert>

// Signals und Slots
#include "SigSlot.h"

// Definitionen
#include "API.h"
#include "Warnings.h"
#include "Macros.h"

// Vektor- und Matrixklassen
#include "Vec.h"
#include "Mat33.h"
#include "Mat44.h"

// Basisklasse
#include "Base.h"

#endif