#ifndef RESOURCEHANDLE_H
#define RESOURCEHANDLE_H

class Resource;

class ENGINE_API ResourceHandle
{
public:
	ResourceHandle( Resource* p_resource = 0 );
	ResourceHandle( const ResourceHandle& copy );
	virtual ~ResourceHandle();

	// setzt das Handle zurck
	void reset();

	// fr Gltigkeitsprfung
	operator bool () const;

	ResourceHandle& operator = ( const ResourceHandle& rhs );

	bool operator == ( const ResourceHandle& rhs ) const;
	bool operator != ( const ResourceHandle& rhs ) const;
	bool operator < ( const ResourceHandle& rhs ) const;

	const Resource* getResource() const;

	Resource* getResource();

private:
	Resource* p_resource;
};

#endif