#ifndef SOUNDMANAGER_H
#define SOUNDMANAGER_H

#include "BasicResourceManager.h"
#include "Sound.h"

class ENGINE_API SoundManager : public BasicResourceManager<Sound>
{
	friend class Engine;
	friend class Sound;

private:
	SoundManager( Engine& engine, const std::string& componentName );
	~SoundManager();

	void onEngineShutDown();
	void onUpdate();
};

#endif