#ifndef VARIANT_H
#define VARIANT_H

class SerializationStream;

class ENGINE_API Variant
{
public:
	Variant();
	virtual ~Variant();

	// serialisiert das Objekt
	virtual int serialize( SerializationStream& target ) const = 0;

	// fertigt eine Kopie des Werts an
	virtual Variant* copy() const = 0;

	// vergleicht den Wert mit einem anderen
	virtual bool isEqualTo( const Variant* p_other ) const = 0;
};

#endif