#ifndef GS_LOADING
#define GS_LOADING

class GS_Loading : public GameState
{
public:
	GS_Loading( GameEnvironment& env );
	~GS_Loading();

	void onEnter( const ParameterMap& params );
	void onLeave();
	void onActivate();
	void onDeactivate();
	void update();
	void render();

private:
	GameEnvironment& env;
	ParameterMap params;
	TextureHandle logo;
	unsigned int time;
};

#endif