#ifndef OBJ_BULLETHOLE_H
#define OBJ_BULLETHOLE_H

#include "GameObject.h"

class Obj_BulletHole : public GameObject
{
public:
	Obj_BulletHole( Level& level, int type );
	~Obj_BulletHole();

	std::string getType() const { return "BulletHole"; }

	void update();
	void render( RenderPass pass );

private:
	const int type;
	Vec2i texCoords;
	Vec2i sizeOnTexture;
	float size;
	float timeToLive;
};

#endif