#ifndef OBJ_DEBRIS_H
#define OBJ_DEBRIS_H

#include "GameObject.h"

class Obj_Debris : public GameObject
{
public:
	Obj_Debris( Level& level, DebrisType type );
	~Obj_Debris();

	std::string getType() const { return "Debris"; }

	void update();
	void render( RenderPass pass );

private:
	DebrisType type;
	Vec2i texCoords;
	Vec2i sizeOnTexture;
	float scaling;
	float timeToLive;
	SimpleEmitter* p_smokeEmitter;
	float particleRate;
	float particleRateDecay;
};

#endif