#ifndef OBJ_ENEMY_AASTATION_H
#define OBJ_ENEMY_AASTATION_H

#include "Obj_Enemy.h"

class Obj_Enemy_AAStation : public Obj_Enemy
{
public:
	Obj_Enemy_AAStation( Level& level, const TiXmlElement* p_root );
	~Obj_Enemy_AAStation();

	std::string getType() const { return "Enemy_AAStation"; }

	void update();
	void render( RenderPass pass );
	void think();
	void addAvoidanceAreas();

private:
	Placeable gunBase;
	Placeable gun;
	WeaponType weapon;
	float recoil;
};

#endif